import { LoFExpressionTree } from "../main";


export default parser;
declare namespace parser {
    export { peg$SyntaxError as SyntaxError };
    export { peg$parse as parse };
}
declare function peg$SyntaxError(message: any, expected: any, found: any, location: any): any;

/**
 * Parses an input string into a LoF Expression tree. 
 * If an invalid expression is given, a SyntaxError will be thrown. 
 * 
 * Example of valid expressions: 
 * 
 * ((a)(b)c)
 * 
 * () <- valid cross
 * 
 * (([0])$0) <- space $0 reenters into [0]
 * 
 * 
 *   <--- Empty space is also valid
 */
declare function peg$parse(input: any, options: any) : LoFExpressionTree<string>;
